<?php
/**
 * Class to include scroll to top customize options.
 *
 * Class MagazineX_Customize_Scroll_To_Top_Options
 *
 * @package    MagazineX
 * @since      1.0.0
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

/**
 * Class to include scroll to top customize options.
 *
 * Class MagazineX_Customize_Scroll_To_Top_Options
 */
class MagazineX_Customize_Scroll_To_Top_Options extends MagazineX_Customize_Base_Option {

	/**
	 * Include customize options.
	 *
	 * @param array                 $options      Customize options provided via the theme.
	 * @param \WP_Customize_Manager $wp_customize Theme Customizer object.
	 *
	 * @return mixed|void Customizer options for registering panels, sections as well as controls.
	 */
	public function register_options( $options, $wp_customize ) {

		$configs = array(
			array(
				'name'     => 'magazinex_enable_scroll_to_top',
				'default'  => 1,
				'type'     => 'control',
				'control'  => 'magazinex-toggle',
				'label'    => esc_html__( 'Enable', 'magazinex' ),
				'section'  => 'magazinex_scroll_to_top',
				'priority' => 10,
			),
		);

		$options = array_merge( $options, $configs );

		return $options;
	}
}

return new MagazineX_Customize_Scroll_To_Top_Options();
